Deploy JobQueueFederated
Closed, ResolvedPublic

Description

Author: afeldman

Description:
rdb1003 is now configured, replicated to rdb1004. JobQueueFederated should now be deployed with rdb1001 and rdb1003 partitions to remove rdb1001 as a spof for job inserts.


Version: wmf-deployment
Severity: normal

bzimport set Reference to bz49788.
bzimport created this task.Via LegacyJun 19 2013, 12:17 AM
RobLa-WMF added a comment.Via ConduitJul 19 2013, 9:34 PM

This relies on the following Gerrit changes: Gerrit #69448, Gerrit #69451, Gerrit #69, Gerrit #66227, Gerrit #71966, which are all awaiting review.

RobLa-WMF added a comment.Via ConduitJul 19 2013, 9:35 PM

(ignore the #69 in the previous comment...either I made a mistake or the pattern matching failed)

Aklapper added a comment.Via ConduitAug 13 2013, 1:11 PM

Status: https://gerrit.wikimedia.org/r/#/c/69448/ and https://gerrit.wikimedia.org/r/#/c/71966/ still awaiting review, the other ones got merged.

Aklapper added a comment.Via ConduitSep 3 2013, 10:30 AM

(In reply to comment #3)

Status: https://gerrit.wikimedia.org/r/#/c/69448/ and
https://gerrit.wikimedia.org/r/#/c/71966/ still awaiting review

Patches still awaiting review by Tim / Chad / Matt...

Nemo_bis added a comment.Via ConduitOct 26 2013, 8:24 AM

Those were merged too (last one on the 18th); is there a description somewhere of what JobQueueFederated is? [[mw:Special:Search/JobQueueFederated]] returns nothing, a couple lines in the release notes for MediaWiki 1.22 would be better than nothing.

Aklapper added a comment.Via ConduitOct 28 2013, 3:52 PM

All patches merged; wondering which specific steps are still outstanding here.

Aaron?

aaron added a comment.Via ConduitOct 28 2013, 7:13 PM

This was deployed today as scheduled.

greg added a comment.Via ConduitOct 28 2013, 7:28 PM

(In reply to comment #6)

All patches merged; wondering which specific steps are still outstanding
here.

Just so people know: a config change (enabling the Fed jobqueue).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.